package cn.com.poc.ocr.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.ocr.entity.BizFileOcrCacheEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.Collection;
import java.util.List;

public interface BizFileOcrCacheService extends BaseService {

    BizFileOcrCacheEntity get(java.lang.Long id) throws Exception;

    List<BizFileOcrCacheEntity> findByExample(BizFileOcrCacheEntity example, PagingInfo pagingInfo) throws Exception;

    BizFileOcrCacheEntity save(BizFileOcrCacheEntity entity) throws Exception;

    BizFileOcrCacheEntity update(BizFileOcrCacheEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    BizFileOcrCacheEntity findByMd5(String md5) ;

}